/* Countdown Timer */

.countdown-timer {

  .small--hide {
    @media screen and (max-width: 768px){
      display: none;
    }
  }

  .medium--hide {
    @media screen and (min-width: 590px){
      display: none;
    }
  }

  .countdown_container {
    position: relative;
    height: 100vh;
    min-height: 100vh;
    max-height: 100vh;
    display: grid;
    padding: 3rem;
    
    h1, h2, h3, p, a {
      letter-spacing: 0.115em;
      font-family: Forma-DJR-Banner;
    }

    .countdown_image-container {
      position: absolute;
      inset: 0;
      z-index: 1;
      
      img, video {
        width: 100%;
        height: 100%;
        object-fit: cover;
      }
    }

    .countdown_content {
      z-index: 2;
      position: relative;

      &>h1, &>p, &>a {
        text-align: center;
        text-transform: uppercase;
      }

      &>a {
        display: block;
        text-decoration: underline;
      }

      .countdown {
        display: flex;
        justify-content: space-around;

        .days, .hours, .minutes, .seconds {
          letter-spacing: 0.5rem;
          width: calc(2ch + 2 * 0.5rem);
        }
      }

      .subtext {
        margin-top: 1rem;
      }
      
      .smsbump_terms-conditions {
        font-size: 4px;
        max-width: 323px;
        text-align: center;
        margin-top: 1rem;
      }

      .countdown_countries {
        margin-top: 2rem;

        .countdown_country {
          display: flex;
          justify-content: space-between;
          gap: 2rem;

          .country {
            flex: 1;
            white-space: nowrap;
          }
        }
      }

      .smsbump_signup-form {
        max-width: 440px;
        
        h1[data-field="headerText"] {
          display: none;
        }

        > div {
          padding: 0;
        }

        .jdTrIC.jdTrIC {
          padding: 0;
        }
      }
    }
  }
}